---
title: peerSettings
description: Peer settings
image: https://docs.madelineproto.xyz/favicons/android-chrome-256x256.png
---
# Constructor: peerSettings  
[Back to constructors index](index.md)



Peer settings

### Attributes:

| Name     |    Type       | Required | Description |
|----------|---------------|----------|-------------|
|report\_spam|[Bool](../types/Bool.md) | Optional|Whether we can still report the user for spam|



### Type: [PeerSettings](../types/PeerSettings.md)


### Example:

```php
$peerSettings = ['_' => 'peerSettings', 'report_spam' => Bool];
```  


Or, if you're into Lua:

```lua
peerSettings={_='peerSettings', report_spam=Bool}

```


